import * as PIXI from "pixi.js";
import { genButton } from "../button.js";
import { diffToText } from "../format.js";

import globals, { store } from "../globals.js";
import { setStage } from "../stages.js";

import { Stage } from "./stage.js";

const stage = new Stage("game_end", setup, activate);
export default stage;

let subtitle;
function setup() {
    const title = new PIXI.Text("Congrats!", {
        ...globals.defaultStyle,
        fontSize: globals.defaultStyle.fontSize * 2,
    });
    title.anchor.set(0.5, 0.5);
    title.position.set(window.innerWidth / 2, window.innerHeight / 4);

    subtitle = new PIXI.Text("", globals.defaultStyle);
    subtitle.anchor.set(0.5, 0.5);
    subtitle.position.set(window.innerWidth / 2, window.innerHeight / 2);

    const startGame = genButton("To main menu", () => {
        store.timeScore = null;
        setStage("main_menu");
    });
    startGame.position.set(window.innerWidth / 2, (window.innerHeight * 3) / 4);

    stage.addChild(title);
    stage.addChild(subtitle);
    stage.addChild(startGame);
}

function activate() {
    subtitle.text = `Your time was:\n${diffToText(store.timeScore)}`;
}
