import * as PIXI from "pixi.js";
import { genButton } from "../button.js";

import globals, { store } from "../globals.js";
import { setStage } from "../stages.js";

import { Stage } from "./stage.js";

const stage = new Stage("host_game", setup, activate);
export default stage;

const alphanums = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
let textCode;

function setup() {
    textCode = new PIXI.Text("", globals.defaultStyle);
    textCode.anchor.set(0.5, 0.5);
    textCode.position.set(window.innerWidth / 2, window.innerHeight / 2);
    stage.addChild(textCode);

    const startGame = genButton("Start Game", () => {
        setStage("start_game");
    });
    startGame.position.set(window.innerWidth / 2, (window.innerHeight * 3) / 4);
    stage.addChild(startGame);
}

function activate() {
    store.code =
        store.code ??
        [0, 1, 2, 3]
            .map(() => alphanums[Math.floor(Math.random() * alphanums.length)])
            .join("");

    store.player = "A";
    textCode.text = `Your Room Code is: ${store.code}`;
}
