import * as PIXI from "pixi.js";
import { genButton } from "../button.js";

import globals from "../globals.js";
import { setStage } from "../stages.js";

import { Stage } from "./stage.js";

const stage = new Stage("host_or_join", setup);
export default stage;

async function setup() {
    const buttonHost = genButton("Host Game", () => {
        setStage("host_game");
    });
    buttonHost.position.set(window.innerWidth / 4, window.innerHeight / 2);

    const buttonJoin = genButton("Join Game", () => {
        setStage("join_game");
    });
    buttonJoin.position.set(
        (window.innerWidth * 3) / 4,
        window.innerHeight / 2
    );

    stage.addChild(buttonHost);
    stage.addChild(buttonJoin);
}
