import * as PIXI from "pixi.js";

import { genButton } from "../button.js";
import globals from "../globals.js";
import { setStage } from "../stages.js";
import { Stage } from "./stage.js";

const stage = new Stage("main_menu", setup, activate);
export default stage;

function setup() {
    const title = new PIXI.Text("Starge Shmerzn", {
        ...globals.defaultStyle,
        fontSize: globals.defaultStyle.fontSize * 2,
    });
    title.anchor.set(0.5, 0.5);
    title.position.set(window.innerWidth / 2, window.innerHeight / 4);

    const explanation = new PIXI.Text(
        "This is a multiplayer game.\nCall a friend to solve the puzzle(s) together.",
        globals.defaultStyle
    );
    explanation.anchor.set(0.5, 0.5);
    explanation.position.set(window.innerWidth / 2, window.innerHeight / 2);

    const startButton = genButton("Start", () => {
        setStage("host_or_join");
    });
    startButton.position.set(
        window.innerWidth / 2,
        (window.innerHeight * 3) / 4
    );

    stage.addChild(title);
    stage.addChild(explanation);
    stage.addChild(startButton);
}

function activate() {}
