import * as PIXI from "pixi.js";
import { store } from "../globals";
import { setStage } from "../stages";

export class Stage extends PIXI.Container {
    constructor(name, setup, activate) {
        super();

        this.name = name;
        this.setup = setup ?? (() => {});
        this.activate = activate ?? (() => {});
    }
}

export function afterPuzzle() {
    store.finishedPuzzles += 1;
    if (store.finishedPuzzles >= 3) {
        store.timeScore = Date.now() - store.timeStart;
        store.timeStart = null;
        store.code = null;
        setStage("game_end");
    } else {
        setStage("random_puzzle");
    }
}
